#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTranslator>
#include <QEvent>

#include "instructorsandtraineeswidget.h"

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

protected:
    void changeEvent(QEvent * event) override;

signals:
    //сигнал об изменении языка интерфейса
    void signal_LanguageChanged(QString language);

private slots:
    void on_comboBox_currentIndexChanged(const QString &arg1);

private:
    Ui::MainWindow *ui;
    QTranslator qtLanguageTranslator;

    InstructorsAndTraineesWidget* m_instructorsAndTraineesWidget;
};
#endif // MAINWINDOW_H
